### Method

# Gtk.EntryCompletion.compute_prefix

#### Declaration [src]

    char*
    gtk_entry_completion_compute_prefix (
      GtkEntryCompletion* completion,
      const char* key
    )

#### Description [src]

Computes the common prefix that is shared by all rows in `completion` that start with `key`.

If no row matches `key`, `NULL` will be returned. Note that a text column must have been set for this function to work, see `gtk_entry_completion_set_text_column()` for details.

#### Parameters

`key` | `const char*`
| The text to complete for
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `char*`
The common prefix all rows starting with `key` or `NULL` if no row matches `key`.
Ownership of the data is transferred to the caller
Can be `NULL`
The string is a NUL terminated UTF-8 string